Package com.gpudb.protocol
Class AggregateUniqueRequest.Options
java.lang.Object
com.gpudb.protocol.AggregateUniqueRequest.Options
Enclosing class:
A set of string constants for the
AggregateUniqueRequest parameter options.
Optional parameters.
Field Summary
FieldsModifier and TypeFieldDescriptionstatic final Stringstatic final StringIndicates the target maximum data size for each column in a chunk to be used for the result table.static final StringIndicates the target maximum data size for all columns in a chunk to be used for the result table.static final StringIndicates the number of records per chunk to be used for the result table.static final String[DEPRECATED—please specify the containing schema as part ofRESULT_TABLEand useGPUdb.createSchemato create the schema if non-existent] Name of a schema which is to contain the table specified inRESULT_TABLE.static final StringThe default compression codec for the result table’s columns.static final StringIfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofRESULT_TABLE.static final Stringstatic final StringFilter expression to apply to the table.static final Stringstatic final StringComma-separated list of the columns to be sorted by as well as the sort direction, e.g., ‘timestamp asc, x desc’.static final StringThe name of the table used to store the results, in [schema_name.]table_name format, using standard name resolution rules and meeting table naming criteria.static final StringForce the result table to be replicated (ignores any sharding).static final StringIfTRUEthen set a primary key for the result table.static final StringIfTRUE, then the result table specified inRESULT_TABLEwill be persisted and will not expire unless aTTLis specified.static final StringString indicating how the returned values should be sorted.static final Stringstatic final StringSets the TTL of the table specified inRESULT_TABLE.static final StringID of view of which the result table will be a member.
Field Details
CREATE_TEMP_TABLE
IfTRUE, a unique temporary table name will be generated in the sys_temp schema and used in place ofRESULT_TABLE. IfRESULT_TABLE_PERSISTisFALSE(or unspecified), then this is always allowed even if the caller does not have permission to create tables. The generated name is returned inQUALIFIED_RESULT_TABLE_NAME. Supported values:The default value isFALSE.See Also:COLLECTION_NAME
[DEPRECATED—please specify the containing schema as part ofRESULT_TABLEand useGPUdb.createSchemato create the schema if non-existent] Name of a schema which is to contain the table specified inRESULT_TABLE. If the schema provided is non-existent, it will be automatically created.See Also:SORT_ORDER
String indicating how the returned values should be sorted. Supported values:The default value isASCENDING.See Also:RESULT_TABLE
The name of the table used to store the results, in [schema_name.]table_name format, using standard name resolution rules and meeting table naming criteria. If present, no results are returned in the response. Not available ifcolumnNameis an unrestricted-length string.See Also:RESULT_TABLE_PERSIST
IfTRUE, then the result table specified inRESULT_TABLEwill be persisted and will not expire unless aTTLis specified. IfFALSE, then the result table will be an in-memory table and will expire unless aTTLis specified otherwise. Supported values:The default value isFALSE.See Also:CHUNK_SIZE
Indicates the number of records per chunk to be used for the result table. Must be used in combination with theRESULT_TABLEoption.See Also:CHUNK_COLUMN_MAX_MEMORY
Indicates the target maximum data size for each column in a chunk to be used for the result table. Must be used in combination with theRESULT_TABLEoption.See Also:CHUNK_MAX_MEMORY
Indicates the target maximum data size for all columns in a chunk to be used for the result table. Must be used in combination with theRESULT_TABLEoption.See Also: